%
%  set_bc2 (new version)
%
%  defining boundary conditions
%

% Dirichlet boundary conditions
bc.Dirichlet.nodes = nodes_lef;
bc.Dirichlet.value = 2*ones(length(nodes_lef),1);

% Neumann boundary conditions
nodes_top2 = complement(nodes_top,nodes_lef);
nodes_bot2 = complement(nodes_bot,nodes_lef);
bc.Neumann.nodes = [nodes_rig;nodes_top2;nodes_bot2];
bc.Neumann.value = [0*ones(length(nodes_rig),1);
                    0*ones(length(nodes_top2),1);
                    0*ones(length(nodes_bot2),1)];

bc.Neumann.normal = [ ones(length(nodes_rig),1)*[1,0];
                      ones(length(nodes_top2),1)*[0,1];
                      ones(length(nodes_bot2),1)*[0,-1]];
                  
nodes_fixed = bc.Dirichlet.nodes;

if 0
[ifaceb,nodes_bou] = pfbou2d(xnod,icone,1);
[slip_data] = get_normal(xnod,icone,nodes_bou,1);
normal_node(slip_data(:,1),1:ndm) = slip_data(:,2:ndm+1);
end
